import matplotlib.pyplot as plt
import numpy as np
from matplotlib.backend_bases import MouseButton
import matplotlib.image as mpimg
import os
from tqdm import tqdm

# `Zoom to rectangle` shortcut is `o`.

os.chdir('flat-field/TIF')

fileNames = os.listdir()[:3]
fileNameIndex = 0
xys = []
progressBar = tqdm(total = len(fileNames))

def displayImage():
    global fileNameIndex
    if len(fileNames) > fileNameIndex:
        fileName = fileNames[fileNameIndex]
        image = mpimg.imread(fileName)

        fig, ax = plt.subplots()

        ax.imshow(image)
        fileNameIndex += 1
        plt.connect('button_press_event', onClick)

        mng = plt.get_current_fig_manager()
        mng.full_screen_toggle()

        fig.canvas.toolbar.zoom()
        fig.show()

def onClick(event):
    global xys
    if event.button is MouseButton.RIGHT:
        xy = [event.x, event.y]
        xys += [xy]
        plt.close()
        displayImage()
        progressBar.update(1)

displayImage()